function fobj=affine(a,b)
	% -- f = affine(a,b)    affine function
	%
	%    f(x)=a^T x + b
	%
	%    Input:
	%      a: column vector a
	%      b: number b
	%    Output:
	%      f: affine function (polyf object)
	%
	%    see also: gauge, indicator, maxnorm, sumnorm, translative 
	%
	%    for further information, see http://tools.bensolve.org/files/manual.pdf
	rep.B=[a',-1];
	rep.b=-b;
	epi=polyh(rep,'h');
	fobj=polyf(epi);
end