function bt_polyh_plotpt0 (obj,opt)
	% -- function for internal use
	%
	%    see also http://tools.bensolve.org/files/manual.pdf
	warning('off'); %#ok
	clf
	hold on
	if obj.sdim>=1
		v=obj.vrepdata.V(:,1);
		for i=1:obj.lindim
			xx=v+obj.vrepdata.L(:,i);
			yy=v-obj.vrepdata.L(:,i);
			for j=1:size(xx,2)
				if obj.sdim==1
					line([xx(1,j),yy(1,j)] , zeros(1,2) ,'color',opt.linealityspacecolor,'linewidth',1);
				elseif obj.sdim==2
					line([xx(1,j),yy(1,j)] , [xx(2,j),yy(2,j)] ,'color',opt.linealityspacecolor,'linewidth',1);
				elseif obj.sdim==3
					line([xx(1,j),yy(1,j)],[xx(2,j),yy(2,j)],[xx(3,j),yy(3,j)],'color',opt.linealityspacecolor,'linewidth',1);
				end
			end
		end
	end	
	if obj.sdim==2
		if opt.vertexsize0>0
			scatter(v(1,1),v(2,1),opt.vertexsize0,[0 0 0],'filled');
		end
	elseif obj.sdim==3
		view ([4 -5 2]);
		if opt.vertexsize0>0
			scatter3(v(1,1),v(2,1),v(3,1),opt.vertexsize0,[0 0 0],'filled');
		end
	elseif obj.sdim==1
		if opt.vertexsize0>0
			scatter(v(1,1),0,opt.vertexsize0,[0 0 0],'filled');
		end
		if obj.lindim==0
			fprintf('no plot for space dimension 1: polyhedron has dimension 0 and is the number %g\n',v(1));
		elseif obj.lindim==1
			fprintf('no plot for space dimension 1: polyhedron has dimension 1 and is the whole space\n');
		else
			error('unexpected error');
		end
	elseif obj.sdim==0
		% if opt.vertexsize0>0
		% 	scatter(0,0,opt.vertexsize0,[0 0 0],'filled');
		% end
		fprintf('no plot for space dimension 0\n');
	else
		error('unexpected error');
	end
	hold off
end