function E=bt_polyh_rec(A,depth)
	% -- function for internal use
	%
	%    see also http://tools.bensolve.org/files/manual.pdf
	[m,k]=size(A);
	n=k/m;
	if depth==0
		E=zeros(m,n*(m+1));
		for i=1:n
			C=A(:,(i-1)*m+1:i*m);
			c=sum(C,2);
			c=c/sqrt(c'*c);
			E(:,(i-1)*(m+1)+1:i*(m+1))=[C,c];
		end
		return;
	end
	E=[];
	for i=1:n
		C=A(:,(i-1)*m+1:i*m);
		c=sum(C,2);
		c=c/sqrt(c'*c);
		for j=1:m
			D=C;
			D(:,j)=c;
			E=[E,bt_polyh_rec(D,depth-1)];%#ok
		end
	end
end