function obj=cone(dim)
	% -- P = cone(d)    standard cone
	%
	%    Input:
	%      d: dimension
	%    Output:
	%      P: standard cone (polyh object)
	%
	%    see also: ball, cube, simplex, origin, point, space, bensolvehedron
	%
	%    for further details, see http://tools.bensolve.org/files/manual.pdf
	if dim < 1
		error('positive dimension exptected');
	end
	rep.l=zeros(dim,1);
	obj=polyh(rep,'h');
end